# from multiprocessing import Process, Queue


def get_htcondor_information(queue_logging, thread_num, settings):
    """
    :param queue_logging:
    :param thread_num:
    :param settings:
    :return:
    dictionary containing additional information about the whole HTCondor system
    """
    try:
        queue_logging.put("DEBUG: " + str(thread_num)
                          + ": Requesting information from buffering service for HTCondor")
        return connect_to_htcondor_buffering_service(queue_logging, thread_num, settings)
    except Exception as e:
        queue_logging.put("ERROR: " + str(thread_num)
                          + ": Something went wrong while requesting information from buffering service for HTCondor!"
                          + "\n-> abort"
                          + "\nPython-ERROR: " + str(e))
        raise ValueError


def connect_to_htcondor_buffering_service(queue_logging, thread_num, settings):
    """
    :param queue_logging:
    :param thread_num:
    :param settings:
    :return:
    asks NaviX buffering service for HTCondor information and writes all into a dictionary
    """
    queue_logging.put("DEBUG: " + str(thread_num)
                      + ": Generating request to buffering service for HTCondor")
    htcondor_dict = dict()
    # open connection to buffering service and
    # try:
    #     htcondor_dict =
    # except Exception as err:
    #     queue_logging.put("ERROR: " + str(thread_num)
    #                       + ": Python-ERROR: " + str(err)
    #                       + "\n -> Abort")
    #     raise ValueError(err)
    return htcondor_dict
