from setuptools import setup
setup(
    name='NaviX',
    version='0.1dev',
    license='Creative Commons Attribution-Noncommercial-Share Alike license',
    install_requires=['PyYAML', 'ipaddress', 'configparser', 'gitpython', 'six', 'pip', 'xrootd'],
)

import git
try:
    git.Git("").clone("https://github.com/KIT-ETP-Computing/xrootd-python.git")
except Exception as err:
    print("############################################################\n"
          + "PYTHON ERROR: " + str(err)
          + "\nTry to proceed!\n"
          + "############################################################\n")
import os
os.environ["XRD_LIBDIR"] = str('/usr/lib64')
os.environ["XRD_INCDIR"] = str('/usr/include/xrootd')
os.chdir("xrootd-python")
os.system('python3 setup.py install')
